LibreOffice: XUIElementFactory Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XUIElementFactory Interface Reference

specifies a user interface element factory that can create and initialize user interface elements. More...

`import "XUIElementFactory.idl";`

Inheritance diagram for XUIElementFactory:

## Public Member Functions
::com::sun::star::ui::XUIElement | createUIElement ([in] string ResourceURL, [in] sequence< com::sun::star::beans::PropertyValue > Args) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException )
| creates a new instances of a specific user interface element.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies a user interface element factory that can create and initialize user interface elements.

User interface element factories must be registered at a UIElementFactoryManager service to provide access to itself.

Currently the following user interface element types are defined:

- menubarA configurable user interface element.
- popupmenuA configurable user interface element.
- toolbarA configurable user interface element.
- statusbarA configurable user interface element.
- floaterA basic user interface element.

Since
  OOo 2.0

## Member Function Documentation

## ◆ createUIElement()

::com::sun::star::ui::XUIElement createUIElement | ( | [in] string | ResourceURL,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | Args )
raises | ( | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::lang::IllegalArgumentException ) |  |  |

creates a new instances of a specific user interface element.

Parameters

  ResourceURL | specifies which unique user interface element should be created by the factory. A resource URL must meet the following syntax: "private:resource/$type/$name. It is only allowed to use ASCII characters for type and name. This argument must not be empty to have a working user interface element instance.The implementation can throw an com::sun::star::container::NoSuchElementException if it doesn't know how to create the request user interface element.
  Args | The following arguments are supported: Frame specifies the com::sun::star::frame::XFrame instance to which the user interface element belongs to. To create a configurable user interface element the frame instance must contain a visible component. Otherwise it is not possible to determine the correct user interface configuration manager. This argument is mandatory to have a working configurable user interface element instance. ParentWindow specifies a parent window to use for the window(s) representing the UI element. Depending on the concrete UI element type, this parameter might be required or ignored by an implementation. Persistent specifies if changes to a configurable user interface element should be persistent. This is an optional argument. The default value is TRUE. Module specifies the current module name (as a string). May be empty. Controller (Sidebar only) specifies the current com::sun::star::frame::XController2 instance. May be empty. Canvas (Sidebar only) specifies the current com::sun::star::rendering::XSpriteCanvas instance. ApplicationName (Sidebar only) Specifies the current application name (as a string) ContextName (Sidebar only) Specifies the current context (as a string)

An implementation is responsible to initialize every newly created user interface element if the necessary properties are provided. Especially it must connect a configurable user interface element to the correct user interface configuration manager. Without this connection the configurable user interface element cannot retrieve its structure data and changes to the user interface element structure won't be persistent. It is up to the implementation to throw an com::sun::star::lang::IllegalArgumentException if it cannot create a user interface element with the provided arguments.

See also
  ConfigurableUIElement
  UIElement

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XUIElementFactory.idl